cancel
Showing results for 
Search instead for 
Did you mean: 

compatibility with Thursby smartcard reader - iOS

New Contributor

compatibility with Thursby smartcard reader - iOS

Older versions of Pulse Secure (early-mid 2015) for iOS were compatible with Thursby's Pkard readers for login via PIV/CAC cards. This compatibility appears to have been removed from the latest version.

Those of us who have upgraded to the latest version of Pulse Secure have lost the ability to use VPN on our iPad - as you know Apple does not make it easy to downgrade to previous versions of apps.

Are there any options to get a previous version direct from Pulse Secure? Or can anyone let me know if this feature will be included in a newer version?

Any ideas?

Thanks,
Ryan
5 REPLIES 5
Moderator

Re: compatibility with Thursby smartcard reader - iOS

We are not aware of any changes that would prevent this from working; if you have not already opened a case, please contact support for further investigation
Highlighted
New Contributor

Re: compatibility with Thursby smartcard reader - iOS

This is still a problem. I have used a Thursby Pkard reader for years with my iPhone and iPad. I started using the reader in conjunction with Pulse Secure mobile a year or so ago, and everything worked flawlessly. I use Pulse with a reader and my smart card because my business email requires two-factor authentication. I just received a new iPhone 7, but I'm dead in the water because Pulse doesn't recognize the card reader. Please help.
New Contributor

Re: compatibility with Thursby smartcard reader - iOS

How did you go about downgrading? Or isn't it possible???
New Contributor

Re: compatibility with Thursby smartcard reader - iOS

It is listed as a problem (PIOS-869) in your release notes: https://www.pulsesecure.net/techpubs/pulse-client/pulse-secure-client-mobile/6.1rx
New Contributor

Re: compatibility with Thursby smartcard reader - iOS

FYI, the new version (6.2) appears to have fixed the issue. I got it working by make sure the pulse secure client was updated, then removing the existing install of SubRosa, then reinstalling SubRosa.

https://www.pulsesecure.net/download/techpubs/current/851/pulse-client/pulse-secure-client-mobile/6.2rx/ps-pulse-ios-6.2r1-b71127-releasenotes.pdf